Bug 183352 - www/squid33: fail to build on 10.0.
Summary: www/squid33: fail to build on 10.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-27 07:20 UTC by Yasuhiro KIMURA
Modified: 2013-11-11 20:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2013-10-27 07:20:00 UTC
	
	Fail to build on 10.0 as following:

	/bin/sh ../../libtool --tag=CXX    --mode=compile c++ -DHAVE_CONFIG_H  -I../.. -I../../include -I../../lib  -I../../src -I../../include   -I/usr/include  -I/usr/include -I../../libltdl   -I/usr/include  -I/usr/include  -O2 -pipe -fno-strict-aliasing -Wno-unused-private-field -std=c++0x -I/usr/local/include -MT AsyncCall.lo -MD -MP -MF .deps/AsyncCall.Tpo -c -o AsyncCall.lo AsyncCall.cc
	libtool: compile:  c++ -DHAVE_CONFIG_H -I../.. -I../../include -I../../lib -I../../src -I../../include -I/usr/include -I/usr/include -I../../libltdl -I/usr/include -I/usr/include -O2 -pipe -fno-strict-aliasing -Wno-unused-private-field -std=c++0x -I/usr/local/include -MT AsyncCall.lo -MD -MP -MF .deps/AsyncCall.Tpo -c AsyncCall.cc  -fPIC -DPIC -o .libs/AsyncCall.o
	In file included from AsyncCall.cc:2:
	In file included from ./AsyncCall.h:6:
	In file included from ../../include/RefCount.h:37:
	In file included from /usr/include/c++/v1/iostream:38:
	In file included from /usr/include/c++/v1/ios:216:
	In file included from /usr/include/c++/v1/__locale:15:
	In file included from /usr/include/c++/v1/string:432:
	/usr/include/c++/v1/cstdio:139:9: error: no member named 'ERROR_sprintf_UNSAFE_IN_SQUID' in the global namespace
	using ::sprintf;
	      ~~^
	../../compat/unsafe.h:10:17: note: expanded from macro 'sprintf'
	#define sprintf ERROR_sprintf_UNSAFE_IN_SQUID
                ^
	1 error generated.
	*** Error code 1

	Stop.
	make[5]: stopped in /usr0/freebsd/ports/work/am/eastasia/usr0/freebsd/ports/ports/www/squid33/work/squid-3.3.9/src/base
	*** Error code 1

	Stop.
	make[4]: stopped in /usr0/freebsd/ports/work/am/eastasia/usr0/freebsd/ports/ports/www/squid33/work/squid-3.3.9/src
	*** Error code 1

	Stop.
	make[3]: stopped in /usr0/freebsd/ports/work/am/eastasia/usr0/freebsd/ports/ports/www/squid33/work/squid-3.3.9/src
	*** Error code 1

	Stop.
	make[2]: stopped in /usr0/freebsd/ports/work/am/eastasia/usr0/freebsd/ports/ports/www/squid33/work/squid-3.3.9
	*** Error code 1

	Stop.
	make[1]: stopped in /am/eastasia/usr0/freebsd/ports/ports/www/squid33
	*** Error code 1

	Stop.
	make: stopped in /am/eastasia/usr0/freebsd/ports/ports/www/squid33

How-To-Repeat: 	
	# cd /usr/ports/www/squid33
	# make install
Comment 1 Edwin Groothuis freebsd_committer 2013-10-27 07:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmseck

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro KIMURA 2013-11-09 10:00:20 UTC
The patch to fix this problem is posted to freebsd-stable ML.

http://lists.freebsd.org/pipermail/freebsd-stable/2013-November/075784.html

Would you please commit it?

Best Regards.
Comment 3 Florian Smeets 2013-11-09 10:41:01 UTC
On 09/11/13 11:00, Yasuhiro KIMURA wrote:
> The patch to fix this problem is posted to freebsd-stable ML.
> 
> http://lists.freebsd.org/pipermail/freebsd-stable/2013-November/075784.html
> 
> Would you please commit it?
> 


I started tracking this today. I didn't realize the PR already timed out
today. So I'd like to give Thomas-Martin a day or two to respond to my
email and will handle it in case it times out. I'll commit this on
Monday latest.

Florian

Comment 4 dfilter service freebsd_committer 2013-11-11 20:24:44 UTC
Author: flo
Date: Mon Nov 11 20:24:35 2013
New Revision: 333531
URL: http://svnweb.freebsd.org/changeset/ports/333531

Log:
  Fix build on FreeBSD >= 10.0
  
  PR:		ports/183352
  Submitted by:	dim
  Approved by:	maintainer timeout

Added:
  head/www/squid32/files/patch-compat-stdio.h   (contents, props changed)
  head/www/squid32/files/patch-include-Array.h   (contents, props changed)
  head/www/squid32/files/patch-include-autoconf.h.in   (contents, props changed)
Modified:
  head/www/squid32/files/patch-configure

Added: head/www/squid32/files/patch-compat-stdio.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid32/files/patch-compat-stdio.h	Mon Nov 11 20:24:35 2013	(r333531)
@@ -0,0 +1,11 @@
+--- compat/stdio.h.orig	2013-07-13 15:22:32.000000000 +0200
++++ compat/stdio.h	2013-11-11 12:56:24.000000000 +0100
+@@ -46,7 +46,7 @@
+ #endif /* __USE_FILE_OFFSET64 && !__REDIRECT */
+ 
+ // Finally import the <cstdio> stuff we actually use
+-#if HAVE_CSTDIO
++#if defined(__cplusplus) && HAVE_CSTDIO
+ #include<cstdio>
+ #endif
+ 

Modified: head/www/squid32/files/patch-configure
==============================================================================
--- head/www/squid32/files/patch-configure	Mon Nov 11 18:51:17 2013	(r333530)
+++ head/www/squid32/files/patch-configure	Mon Nov 11 20:24:35 2013	(r333531)
@@ -1,5 +1,14 @@
 --- configure.orig	2012-10-21 18:10:03.000000000 +0200
 +++ configure	2012-10-21 18:27:39.000000000 +0200
+@@ -18416,7 +18416,7 @@
+   GCCVER2=`echo $GCCVER | awk '{print $1 * 100}'`
+   case "$host" in
+     i386-*-freebsd*)
+-      if test $GCCVER2 -lt 300 ; then
++      if test "x$GCCVER" != x -a $GCCVER2 -lt 300 ; then
+         { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
+ $as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
+ as_fn_error $? "GCC $GCCVER causes a coredump on $host.
 @@ -22154,7 +22154,7 @@
  
  done
@@ -45,3 +54,11 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for error_message in -lkrb5" >&5
  $as_echo_n "checking for error_message in -lkrb5... " >&6; }
  if ${ac_cv_lib_krb5_error_message+:} false; then :
+@@ -24033,6 +24033,7 @@
+   cassert \
+   crypt.h \
+   cstdarg \
++  cstdio \
+   cstdlib \
+   cstring \
+   list \

Added: head/www/squid32/files/patch-include-Array.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid32/files/patch-include-Array.h	Mon Nov 11 20:24:35 2013	(r333531)
@@ -0,0 +1,33 @@
+--- include/Array.h.orig	2013-07-13 15:22:32.000000000 +0200
++++ include/Array.h	2013-11-11 13:32:43.000000000 +0100
+@@ -44,12 +44,19 @@
+ #include "compat/assert.h"
+ 
+ /* iterator support */
++#include <iterator>
+ 
+ template <class C>
+ class VectorIteratorBase
+ {
+ 
+ public:
++    typedef typename C::value_type value_type;
++    typedef std::forward_iterator_tag iterator_category;
++    typedef typename C::pointer pointer;
++    typedef typename C::reference reference;
++    typedef typename C::difference_type difference_type;
++
+     VectorIteratorBase();
+     VectorIteratorBase(C &);
+     VectorIteratorBase(size_t, C &);
+@@ -81,8 +88,10 @@
+ public:
+     typedef E value_type;
+     typedef E* pointer;
++    typedef E& reference;
+     typedef VectorIteratorBase<Vector<E> > iterator;
+     typedef VectorIteratorBase<Vector<E> const> const_iterator;
++    typedef ptrdiff_t difference_type;
+ 
+     void *operator new (size_t);
+     void operator delete (void *);

Added: head/www/squid32/files/patch-include-autoconf.h.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid32/files/patch-include-autoconf.h.in	Mon Nov 11 20:24:35 2013	(r333531)
@@ -0,0 +1,12 @@
+--- include/autoconf.h.in.orig	2013-07-13 15:22:53.000000000 +0200
++++ include/autoconf.h.in	2013-11-11 13:04:46.000000000 +0100
+@@ -151,6 +151,9 @@
+ /* Define to 1 if you have the <cstdarg> header file. */
+ #undef HAVE_CSTDARG
+ 
++/* Define to 1 if you have the <cstdio> header file. */
++#undef HAVE_CSTDIO
++
+ /* Define to 1 if you have the <cstdlib> header file. */
+ #undef HAVE_CSTDLIB
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-11-11 20:29:53 UTC
Author: flo
Date: Mon Nov 11 20:29:45 2013
New Revision: 333532
URL: http://svnweb.freebsd.org/changeset/ports/333532

Log:
  - fix build on FreeBSD >= 10.0 [1]
  - update to 3.3.10
  
  PR:		ports/183352
  Submitted by:	dim [1]
  Approved by:	maintainer timeout

Added:
  head/www/squid33/files/patch-compat__stdio.h   (contents, props changed)
  head/www/squid33/files/patch-include__Array.h   (contents, props changed)
  head/www/squid33/files/patch-include__autoconf.h.in   (contents, props changed)
Modified:
  head/www/squid33/Makefile
  head/www/squid33/distinfo
  head/www/squid33/files/patch-configure

Modified: head/www/squid33/Makefile
==============================================================================
--- head/www/squid33/Makefile	Mon Nov 11 20:24:35 2013	(r333531)
+++ head/www/squid33/Makefile	Mon Nov 11 20:29:45 2013	(r333532)
@@ -41,7 +41,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 LATEST_LINK=	squid33
 
-SQUID_STABLE_VER=	9
+SQUID_STABLE_VER=	10
 
 CONFLICTS_INSTALL=	squid-2.[0-9].* squid-3.[!3].* cacheboy-[0-9]* lusca-head-[0-9]*
 USES=		perl5

Modified: head/www/squid33/distinfo
==============================================================================
--- head/www/squid33/distinfo	Mon Nov 11 20:24:35 2013	(r333531)
+++ head/www/squid33/distinfo	Mon Nov 11 20:29:45 2013	(r333532)
@@ -1,2 +1,2 @@
-SHA256 (squid3.3/squid-3.3.9.tar.bz2) = 2bb048725745de755f35a84133e25c7db0d56f4cc7002962e84b80091866eb45
-SIZE (squid3.3/squid-3.3.9.tar.bz2) = 2988736
+SHA256 (squid3.3/squid-3.3.10.tar.bz2) = 61743782e3b0c7c5bdf2e2457ecc1a5d3e7cc6b56a3d55f2106afe777ce2e5e9
+SIZE (squid3.3/squid-3.3.10.tar.bz2) = 2988601

Added: head/www/squid33/files/patch-compat__stdio.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid33/files/patch-compat__stdio.h	Mon Nov 11 20:29:45 2013	(r333532)
@@ -0,0 +1,11 @@
+--- compat/stdio.h.orig	2013-05-20 13:48:55.000000000 +0200
++++ compat/stdio.h	2013-07-15 22:34:49.000000000 +0200
+@@ -46,7 +46,7 @@
+ #endif /* __USE_FILE_OFFSET64 && !__REDIRECT */
+ 
+ // Finally import the <cstdio> stuff we actually use
+-#if HAVE_CSTDIO
++#if defined(__cplusplus) && HAVE_CSTDIO
+ #include<cstdio>
+ #endif
+ 

Modified: head/www/squid33/files/patch-configure
==============================================================================
--- head/www/squid33/files/patch-configure	Mon Nov 11 20:24:35 2013	(r333531)
+++ head/www/squid33/files/patch-configure	Mon Nov 11 20:29:45 2013	(r333532)
@@ -1,6 +1,6 @@
 --- configure.orig	2013-03-12 11:18:22.000000000 +0100
 +++ configure	2013-04-09 11:43:01.000000000 +0200
-@@ -22437,7 +22437,7 @@
+@@ -22798,7 +22798,7 @@
  
  done
  
@@ -9,7 +9,7 @@
      for ac_header in gssapi/gssapi_generic.h
  do :
    ac_fn_cxx_check_header_mongrel "$LINENO" "gssapi/gssapi_generic.h" "ac_cv_header_gssapi_gssapi_generic_h" "$ac_includes_default"
-@@ -22634,7 +22634,7 @@
+@@ -22995,7 +22995,7 @@
  
  
    ac_com_error_message=no
@@ -18,7 +18,7 @@
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  #include <com_err.h>
-@@ -22646,7 +22646,7 @@
+@@ -23007,7 +23007,7 @@
  fi
  rm -f conftest*
  
@@ -27,7 +27,7 @@
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  #include <et/com_err.h>
-@@ -22707,7 +22707,7 @@
+@@ -23068,7 +23068,7 @@
  
    fi
  
@@ -36,7 +36,7 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for error_message in -lcom_err" >&5
  $as_echo_n "checking for error_message in -lcom_err... " >&6; }
  if ${ac_cv_lib_com_err_error_message+:} false; then :
-@@ -22750,7 +22750,7 @@
+@@ -23111,7 +23111,7 @@
  
  fi
  
@@ -45,3 +45,11 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for error_message in -lkrb5" >&5
  $as_echo_n "checking for error_message in -lkrb5... " >&6; }
  if ${ac_cv_lib_krb5_error_message+:} false; then :
+@@ -24704,6 +24704,7 @@
+   cassert \
+   crypt.h \
+   cstdarg \
++  cstdio \
+   cstdlib \
+   cstring \
+   list \

Added: head/www/squid33/files/patch-include__Array.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid33/files/patch-include__Array.h	Mon Nov 11 20:29:45 2013	(r333532)
@@ -0,0 +1,33 @@
+--- include/Array.h.orig	2013-05-20 13:48:55.000000000 +0200
++++ include/Array.h	2013-07-15 23:00:06.000000000 +0200
+@@ -42,12 +42,19 @@
+ #include "compat/assert.h"
+ 
+ /* iterator support */
++#include <iterator>
+ 
+ template <class C>
+ class VectorIteratorBase
+ {
+ 
+ public:
++    typedef typename C::value_type value_type;
++    typedef std::forward_iterator_tag iterator_category;
++    typedef typename C::pointer pointer;
++    typedef typename C::reference reference;
++    typedef typename C::difference_type difference_type;
++
+     VectorIteratorBase();
+     VectorIteratorBase(C &);
+     VectorIteratorBase(size_t, C &);
+@@ -79,8 +86,10 @@
+ public:
+     typedef E value_type;
+     typedef E* pointer;
++    typedef E& reference;
+     typedef VectorIteratorBase<Vector<E> > iterator;
+     typedef VectorIteratorBase<Vector<E> const> const_iterator;
++    typedef ptrdiff_t difference_type;
+ 
+     void *operator new (size_t);
+     void operator delete (void *);

Added: head/www/squid33/files/patch-include__autoconf.h.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/squid33/files/patch-include__autoconf.h.in	Mon Nov 11 20:29:45 2013	(r333532)
@@ -0,0 +1,12 @@
+--- include/autoconf.h.in.orig	2013-05-20 13:49:34.000000000 +0200
++++ include/autoconf.h.in	2013-07-15 22:23:33.000000000 +0200
+@@ -158,6 +158,9 @@
+ /* Define to 1 if you have the <cstdarg> header file. */
+ #undef HAVE_CSTDARG
+ 
++/* Define to 1 if you have the <cstdio> header file. */
++#undef HAVE_CSTDIO
++
+ /* Define to 1 if you have the <cstdlib> header file. */
+ #undef HAVE_CSTDLIB
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Florian Smeets freebsd_committer 2013-11-11 20:30:11 UTC
Responsible Changed
From-To: tmseck->flo

I'll take it.
Comment 7 Florian Smeets freebsd_committer 2013-11-11 20:30:35 UTC
State Changed
From-To: open->closed

Fixed. Please update your ports tree and try again.